<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://qconsulting.ca/fo3/ModConfig5.0.xsd">
	<moduleName>Bakafactory Animated Beasts Cocks</moduleName>
	<moduleImage path="Fomod\Screens\SLHH.jpg" showImage="true" height="-1" showFade="true" />

	<installSteps order="Explicit">	
	
		<installStep name="">
			<optionalFileGroups>

				<group name="Sexlab Horrible Harassment Expansion" type="SelectExactlyOne">
					<plugins order="Explicit">
					
						<plugin name="LE">
							<description>
							<![CDATA[(LE)]]>
							</description>
							<image path=""/>
							<conditionFlags>
								<flag name="LEFlag">On</flag>
							</conditionFlags>
							<files>
							<folder source="" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>
						
						<plugin name="SE">
							<description>
							<![CDATA[(SE)]]>
							</description>
							<image path=""/>
							<conditionFlags>
								<flag name="SEFlag">On</flag>
							</conditionFlags>
							<files>
							<folder source="" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>
						</plugin>

					</plugins>   
				</group>

			</optionalFileGroups>
		</installStep>
		
		<installStep name="">
			<visible>
				<flagDependency flag="LEFlag" value="On" /> 
			</visible>
			<optionalFileGroups>
				<group name="Sexlab Horrible Harassment Expansion" type="SelectExactlyOne">
					<plugins order="Explicit">

						<plugin name="English">
							<description>
							<![CDATA[English Version.]]>
							</description>
							<image path=""/>
							<conditionFlags>
								<flag name="English">On</flag>
							</conditionFlags>
							<files>
							<folder source="" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>
						
						<plugin name="한글">
							<description>
							<![CDATA[한글 버전]]>
							</description>
							<image path=""/>
							<conditionFlags>
								<flag name="Korean">On</flag>
							</conditionFlags>
							<files>
							<folder source="" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>

					</plugins>   
				</group>

			</optionalFileGroups>
		</installStep>
		
		<installStep name="">
			<visible>
				<flagDependency flag="SEFlag" value="On" /> 
			</visible>
			<optionalFileGroups>
				<group name="Sexlab Horrible Harassment Expansion" type="SelectExactlyOne">
					<plugins order="Explicit">
					
						<plugin name="English">
							<description>
							<![CDATA[English Version.]]>
							</description>
							<image path=""/>
							<conditionFlags>
								<flag name="English">On</flag>
							</conditionFlags>
							<files>
							<folder source="" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>
						
						<plugin name="한글">
							<description>
							<![CDATA[한글 버전]]>
							</description>
							<image path=""/>
							<conditionFlags>
								<flag name="Korean">On</flag>
							</conditionFlags>
							<files>
							<folder source="" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>

					</plugins>   
				</group>

			</optionalFileGroups>
		</installStep>

		<installStep name="">
			<visible>
				<flagDependency flag="Korean" value="On" /> 
			</visible>
			<optionalFileGroups>
				<group name="Sexlab Horrible Harassment Expansion" type="SelectAny">
					<plugins order="Explicit">
					
						<plugin name="반말 패치">
							<description>
							<![CDATA[반말 버전]]>
							</description>
							<image path=""/>
							<conditionFlags>
								<flag name="KoreanBanmal">On</flag>
							</conditionFlags>
							<files>
							<folder source="" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>

					</plugins>   
				</group>

			</optionalFileGroups>
		</installStep>

 </installSteps>
 
 	<conditionalFileInstalls> 
		<patterns> 
			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="LEFlag" value="On"/> 
					<flagDependency flag="English" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="SLHH Expansion English LE" destination="" priority="0"/>
					<folder source="SLHH Expansion Base" destination="" priority="0"/>
				</files> 
			</pattern>
			
			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="LEFlag" value="On"/> 
					<flagDependency flag="Korean" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="SLHH Expansion Korean LE" destination="" priority="0"/>
					<folder source="SLHH Expansion Base" destination="" priority="0"/>
				</files> 
			</pattern>

			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="SEFlag" value="On"/> 
					<flagDependency flag="English" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="SLHH Expansion English SE" destination="" priority="0"/>
					<folder source="SLHH Expansion Base" destination="" priority="0"/>
				</files> 
			</pattern>

			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="SEFlag" value="On"/> 
					<flagDependency flag="Korean" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="SLHH Expansion Korean SE" destination="" priority="0"/>
					<folder source="SLHH Expansion Base" destination="" priority="0"/>
				</files> 
			</pattern>
			
			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="KoreanBanmal" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="SLHH Expansion Korean Banmal Patch" destination="" priority="10"/>
				</files> 
			</pattern>
			
		</patterns> 
	</conditionalFileInstalls> 
 
 </config>